BROADCOM_GENXML_GENERATED_FILES = \
	cle/v3d_packet_v21_pack.h \
	cle/v3d_packet_v33_pack.h \
	cle/v3d_packet_v41_pack.h \
	cle/v3d_packet_v42_pack.h \
	cle/v3d_xml.h \
	$()

BROADCOM_GENXML_XML_FILES = \
	cle/v3d_packet_v21.xml \
	cle/v3d_packet_v33.xml \
	$()

BROADCOM_FILES = \
	cle/v3d_packet_helpers.h \
	cle/v3dx_pack.h\
	clif/clif_dump.c \
	clif/clif_dump.h \
	clif/clif_private.h \
	common/v3d_cpu_tiling.h \
	common/v3d_debug.c \
	common/v3d_debug.h \
	common/v3d_device_info.c \
	common/v3d_device_info.h \
	common/v3d_limits.h \
	common/v3d_macros.h \
	$()

BROADCOM_QPU_FILES = \
	qpu/qpu_disasm.c \
	qpu/qpu_disasm.h \
	qpu/qpu_instr.c \
	qpu/qpu_instr.h \
	qpu/qpu_pack.c \
	$()

BROADCOM_COMPILER_FILES = \
	compiler/nir_to_vir.c \
	compiler/vir.c \
	compiler/vir_dump.c \
	compiler/vir_live_variables.c \
	compiler/vir_opt_copy_propagate.c \
	compiler/vir_opt_dead_code.c \
	compiler/vir_opt_redundant_flags.c \
	compiler/vir_opt_small_immediates.c \
	compiler/vir_register_allocate.c \
	compiler/vir_to_qpu.c \
	compiler/qpu_schedule.c \
	compiler/qpu_validate.c \
	compiler/v3d33_tex.c \
	compiler/v3d33_vpm_setup.c \
	compiler/v3d40_tex.c \
	compiler/v3d_compiler.h \
	compiler/v3d_nir_lower_image_load_store.c \
	compiler/v3d_nir_lower_io.c \
	compiler/v3d_nir_lower_logic_ops.c \
	compiler/v3d_nir_lower_scratch.c \
	compiler/v3d_nir_lower_txf_ms.c \
	$()

BROADCOM_PER_VERSION_SOURCES = \
	clif/v3dx_dump.c \
	$()

BROADCOM_DECODER_FILES = \
	cle/v3d_decoder.c \
	cle/v3d_decoder.h \
	$()
